import { Message } from "@hpcc-js/util";
import { HPCCElement } from ".";
export interface Change<T> {
    oldValue: T;
    newValue: T;
}
export type ChangeMap<T extends HPCCElement> = {
    [what in keyof T]+?: Change<T[what]>;
};
export declare class AttrChangedMessage extends Message {
    get canConflate(): boolean;
    changes: ChangeMap<any>;
    constructor(what: string, oldValue: any, newValue: any);
    conflate(other: AttrChangedMessage): boolean;
}
//# sourceMappingURL=message.d.ts.map